Subject: Re: Git-aware HTTP transport

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 28 Aug 2008 10:28:53 -0700

[email-masked] wrote:
> On Thu, 28 Aug 2008, Shawn O. Pearce wrote:
>>> "Shawn O. Pearce" <[email-masked]> writes:
>>
>> Yes, I really did mean for this part of the protocol to be in binary.
>
> except that HTTP cannot transport binary data, if you feed it binary data 
> it then encodes it into 7-bit safe forms for transport.

So then how does it transport a GIF file to my browser?  uuencoded?
Last time I read the RFCs I was pretty certain HTTP is 8-bit clean
in both directions.

Of course this may all be moot.  I think we're moving in a direction
of matching the git native protocol more exactly.

-- 
Shawn.